Specifies a string prefix with which to limits the terms on which to facet

- « SolrQuery::setFacetOffset

- SolrQuery::setFacetSort »

- PHP Manual
- SolrQuery
- Specifies a string prefix with which to limits the terms on which to facet

# SolrQuery::setFacetPrefix

(PECL solr >= 0.9.2)

SolrQuery::setFacetPrefix — Specifies a string prefix with which to limits the terms on which to facet

### Description

public SolrQuery::setFacetPrefix(string `$prefix`, string `$field_override` = ?): SolrQuery

Specifies a string prefix with which to limits the terms on which to facet.

### Parameters

`prefix`

  The prefix string

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.